 

#include <stdio.h>
#include <unistd.h>
 
#include "ui_basic.h"
#include "worker.h"

#include <QApplication>


void WorkerObject::work(void){
    if(workcontinue){
        linecount+=1;
        fprintf(stdout,"Work %d.\n",linecount);
        sleep(1);
    };
    usleep( 100*1000 );
    emit dowork();
};

int main(int argc, char *argv[])
{
    QApplication App(argc, argv);
    QMainWindow wi;
    WorkerObject wo;
    Ui::MainWindow uiw;
    uiw.setupUi(&wi);
    wi.show();
    wi.activateWindow();
    App.connect(uiw.actionloop, SIGNAL(toggled(bool)), &wo, SLOT(toggle()));
    wo.work();
    return App.exec();
}
