
#ifndef WORKER_H
#define WORKER_H

#include <QtCore/QObject>

QT_BEGIN_NAMESPACE

class WorkerObject: public QObject {

    Q_OBJECT
public: 
    int workcontinue;
    int linecount;
    WorkerObject() {
        workcontinue=0;
        linecount=0;
        QObject::connect(this, SIGNAL(dowork()), this, SLOT(work()),Qt::QueuedConnection);
    }

signals:
    void dowork(void);
    
public slots:
    void toggle(void){
        if(workcontinue==0) workcontinue=1;
        else workcontinue=0;
    }
    
    void work(void);     
};

QT_END_NAMESPACE

#endif // WORKER_H
